Camstream: CamStream API documentation

Main Page Class Hierarchy Compound List File List Compound Members File Members

# CVideoSettings Class Reference

`#include <VideoSettings.h>`

Inheritance diagram for CVideoSettings::

List of all members.

## Public Methods

- CVideoSettings (QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags fl=0)
- ~CVideoSettings ()

## Public Attributes

- QTabWidget* Tabs
- QWidget* Size
- QButtonGroup* ImageFrames
- QRadioButton* fr04
- QRadioButton* fr05
- QRadioButton* fr08
- QRadioButton* fr10
- QRadioButton* fr25
- QRadioButton* fr20
- QRadioButton* fr15
- QRadioButton* fr30
- QButtonGroup* ImageSize
- QRadioButton* RadioButton1
- QRadioButton* RadioButton2
- QRadioButton* RadioButton3
- QRadioButton* RadioButton4
- QRadioButton* RadioButton5
- QRadioButton* RadioButton6
- QRadioButton* MaxSize
- QWidget* Control
- QSlider* Gamma
- QSlider* Contrast
- QLabel* TextLabel2
- QLabel* TextLabel3
- QLabel* TextLabel1
- QSlider* Colour
- QLabel* TextLabel4
- QSlider* Brightness
- QWidget* Tune
- QLabel* TextLabel1_2
- QButtonGroup* TunerSelection
- QRadioButton* tuner_1
- QRadioButton* tuner_2
- QRadioButton* tuner_3
- QLabel* TextLabel2_2
- QLCDNumber* FrequencyShow
- QSlider* FineTuning
- QButtonGroup* TuningSystem
- QRadioButton* RadioButton258
- QRadioButton* RadioButton121
- QRadioButton* RadioButton259
- QButtonGroup* InputSelection
- QRadioButton* RadioButton82
- QRadioButton* RadioButton83
- QRadioButton* RadioButton84
- QRadioButton* RadioButton109
- QRadioButton* RadioButton110
- QRadioButton* RadioButton111
- QListBox* ChannelSelector
- QWidget* PhilipsTab
- QPushButton* PushButton7_3
- QPushButton* PushButton7_2
- QPushButton* PushButton7
- QGroupBox* GroupBox1
- QComboBox* m_WhiteBalance
- QDial* m_RedDial
- QDial* m_BlueDial
- QLabel* TextLabel1_3
- QLabel* TextLabel2_3
- QSlider* m_WBSpeed
- QSlider* m_WBDelay
- QGroupBox* GroupBox2
- QLabel* TextLabel5
- QLabel* TextLabel6
- QLabel* TextLabel2_4
- QCheckBox* ShutterBox
- QSlider* ContourValue
- QSlider* ShutterValue
- QSlider* AGCValue
- QCheckBox* AGCBox
- QCheckBox* BacklightBox
- QCheckBox* FlickerBox
- QCheckBox* ContourBox
- QComboBox* m_CompressionSelection
- QComboBox* m_NoiseReduction
- QLabel* TextLabel1_4
- QLabel* TextLabel1_5
- QPushButton* HelpButton
- QPushButton* CloseButton

## Public Slots

- virtual void MovedContour (int)

## Protected Attributes

- QVBoxLayout* VideoSettingsLayout
- QGridLayout* Layout14
- QVBoxLayout* InputSelectionLayout
- QHBoxLayout* Layout15
- QVBoxLayout* GroupBox1Layout
- QHBoxLayout* Layout11
- QGridLayout* Layout16
- QVBoxLayout* Layout11_2
- QGridLayout* GroupBox2Layout
- QHBoxLayout* Layout7
- QGridLayout* Layout9
- QHBoxLayout* Layout1

## Protected Slots

- virtual void ChangedCompression (int)
- virtual void ChangedWB (int)
- virtual void ClickedFrequencySystem (int)
- virtual void ClickedInputSelector (int)
- virtual void ClickedRate (int)
- virtual void ClickedRestoreFactory ()
- virtual void ClickedRestoreUser ()
- virtual void ClickedSaveUser ()
- virtual void ClickedSize (int)
- virtual void ClickedTunerSelector (int)
- virtual void MovedAGC (int)
- virtual void MovedBlue (int)
- virtual void MovedBrightness (int)
- virtual void MovedColour (int)
- virtual void MovedContrast (int)
- virtual void MovedFineTuning (int)
- virtual void MovedGamma (int)
- virtual void MovedRed (int)
- virtual void MovedShutter (int)
- virtual void MovedWBDelay (int)
- virtual void MovedWBSpeed (int)
- virtual void ToggledAGC (bool)
- virtual void ToggledBacklight (bool)
- virtual void ToggledContour (bool)
- virtual void ToggledFlicker (bool)
- virtual void ToggledShutter (bool)
- virtual void ChangedNoise (int)

## Constructor & Destructor Documentation

CVideoSettings::CVideoSettings ( | QWidget * parent = 0,
| const char * name = 0,
| bool modal = FALSE,
| WFlags fl = 0 )

CVideoSettings::~CVideoSettings ( | )

## Member Function Documentation

virtual void CVideoSettings::ChangedCompression ( | int )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::ChangedNoise ( | int )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::ChangedWB ( | int new_mode )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::ClickedFrequencySystem ( | int )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::ClickedInputSelector ( | int )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::ClickedRate ( | int f )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::ClickedRestoreFactory ( | )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::ClickedRestoreUser ( | )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::ClickedSaveUser ( | )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::ClickedSize ( | int s )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::ClickedTunerSelector ( | int )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::MovedAGC ( | int )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::MovedBlue ( | int )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::MovedBrightness ( | int )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::MovedColour ( | int )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::MovedContour ( | int )`[virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::MovedContrast ( | int )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::MovedFineTuning ( | int )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::MovedGamma ( | int )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::MovedRed ( | int )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::MovedShutter ( | int )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::MovedWBDelay ( | int )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::MovedWBSpeed ( | int )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::ToggledAGC ( | bool )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::ToggledBacklight ( | bool )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::ToggledContour ( | bool )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::ToggledFlicker ( | bool )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

virtual void CVideoSettings::ToggledShutter ( | bool )`[protected, virtual, slot]`

| Reimplemented in CVideoSettingsDlg.

## Member Data Documentation

QCheckBox* CVideoSettings::AGCBox

QSlider* CVideoSettings::AGCValue

QCheckBox* CVideoSettings::BacklightBox

QSlider* CVideoSettings::Brightness

QListBox* CVideoSettings::ChannelSelector

QPushButton* CVideoSettings::CloseButton

QSlider* CVideoSettings::Colour

QCheckBox* CVideoSettings::ContourBox

QSlider* CVideoSettings::ContourValue

QSlider* CVideoSettings::Contrast

QWidget* CVideoSettings::Control

QSlider* CVideoSettings::FineTuning

QCheckBox* CVideoSettings::FlickerBox

QLCDNumber* CVideoSettings::FrequencyShow

QSlider* CVideoSettings::Gamma

QGroupBox* CVideoSettings::GroupBox1

QVBoxLayout* CVideoSettings::GroupBox1Layout`[protected]`

QGroupBox* CVideoSettings::GroupBox2

QGridLayout* CVideoSettings::GroupBox2Layout`[protected]`

QPushButton* CVideoSettings::HelpButton

QButtonGroup* CVideoSettings::ImageFrames

QButtonGroup* CVideoSettings::ImageSize

QButtonGroup* CVideoSettings::InputSelection

QVBoxLayout* CVideoSettings::InputSelectionLayout`[protected]`

QHBoxLayout* CVideoSettings::Layout1`[protected]`

QHBoxLayout* CVideoSettings::Layout11`[protected]`

QVBoxLayout* CVideoSettings::Layout11_2`[protected]`

QGridLayout* CVideoSettings::Layout14`[protected]`

QHBoxLayout* CVideoSettings::Layout15`[protected]`

QGridLayout* CVideoSettings::Layout16`[protected]`

QHBoxLayout* CVideoSettings::Layout7`[protected]`

QGridLayout* CVideoSettings::Layout9`[protected]`

QRadioButton* CVideoSettings::MaxSize

QWidget* CVideoSettings::PhilipsTab

QPushButton* CVideoSettings::PushButton7

QPushButton* CVideoSettings::PushButton7_2

QPushButton* CVideoSettings::PushButton7_3

QRadioButton* CVideoSettings::RadioButton1

QRadioButton* CVideoSettings::RadioButton109

QRadioButton* CVideoSettings::RadioButton110

QRadioButton* CVideoSettings::RadioButton111

QRadioButton* CVideoSettings::RadioButton121

QRadioButton* CVideoSettings::RadioButton2

QRadioButton* CVideoSettings::RadioButton258

QRadioButton* CVideoSettings::RadioButton259

QRadioButton* CVideoSettings::RadioButton3

QRadioButton* CVideoSettings::RadioButton4

QRadioButton* CVideoSettings::RadioButton5

QRadioButton* CVideoSettings::RadioButton6

QRadioButton* CVideoSettings::RadioButton82

QRadioButton* CVideoSettings::RadioButton83

QRadioButton* CVideoSettings::RadioButton84

QCheckBox* CVideoSettings::ShutterBox

QSlider* CVideoSettings::ShutterValue

QWidget* CVideoSettings::Size

QTabWidget* CVideoSettings::Tabs

QLabel* CVideoSettings::TextLabel1

QLabel* CVideoSettings::TextLabel1_2

QLabel* CVideoSettings::TextLabel1_3

QLabel* CVideoSettings::TextLabel1_4

QLabel* CVideoSettings::TextLabel1_5

QLabel* CVideoSettings::TextLabel2

QLabel* CVideoSettings::TextLabel2_2

QLabel* CVideoSettings::TextLabel2_3

QLabel* CVideoSettings::TextLabel2_4

QLabel* CVideoSettings::TextLabel3

QLabel* CVideoSettings::TextLabel4

QLabel* CVideoSettings::TextLabel5

QLabel* CVideoSettings::TextLabel6

QWidget* CVideoSettings::Tune

QButtonGroup* CVideoSettings::TunerSelection

QButtonGroup* CVideoSettings::TuningSystem

QVBoxLayout* CVideoSettings::VideoSettingsLayout`[protected]`

QRadioButton* CVideoSettings::fr04

QRadioButton* CVideoSettings::fr05

QRadioButton* CVideoSettings::fr08

QRadioButton* CVideoSettings::fr10

QRadioButton* CVideoSettings::fr15

QRadioButton* CVideoSettings::fr20

QRadioButton* CVideoSettings::fr25

QRadioButton* CVideoSettings::fr30

QDial* CVideoSettings::m_BlueDial

QComboBox* CVideoSettings::m_CompressionSelection

QComboBox* CVideoSettings::m_NoiseReduction

QDial* CVideoSettings::m_RedDial

QSlider* CVideoSettings::m_WBDelay

QSlider* CVideoSettings::m_WBSpeed

QComboBox* CVideoSettings::m_WhiteBalance

QRadioButton* CVideoSettings::tuner_1

QRadioButton* CVideoSettings::tuner_2

QRadioButton* CVideoSettings::tuner_3

The documentation for this class was generated from the following file:

- VideoSettings.h